import { CliConfigGenerate, CliParamsPush } from "..";
import { MySQLPushConfig } from "../validations/mysql";
import { PgPushConfig } from "../validations/pg";
import { SQLitePushConfig } from "../validations/sqlite";
import { CliConfig } from "../validations/common";
import { Dialect } from "src/schemaValidator";
export declare const safeRegister: () => Promise<{
    unregister: () => void;
}>;
export type GenerateConfig = {
    dialect: Dialect;
    schema: string | string[];
    out: string;
    breakpoints: boolean;
    custom: boolean;
    bundle: boolean;
};
export declare const prepareGenerateConfig: (options: CliConfigGenerate) => Promise<GenerateConfig>;
export declare const preparePushConfig: (options: CliParamsPush) => Promise<{
    config: MySQLPushConfig | PgPushConfig | SQLitePushConfig;
    schemaFiles: string[];
    tablesFilter: string[];
}>;
export declare const assertOutFolder: (it: {
    config?: string;
} | {
    out: string;
}) => Promise<string>;
export declare const drizzleConfigFromFile: (configPath?: string) => Promise<CliConfig>;
export declare const readDrizzleConfig: (configPath?: string) => Promise<any>;
