import { TypeOf } from "zod";
import "../@types/utils";
import "dotenv/config";
declare const cliConfigGenerate: import("zod").ZodObject<{
    dialect: import("zod").ZodOptional<import("zod").ZodEnum<["pg", "mysql", "sqlite"]>>;
    schema: import("zod").ZodOptional<import("zod").ZodUnion<[import("zod").ZodString, import("zod").ZodArray<import("zod").ZodString, "many">]>>;
    out: import("zod").ZodDefault<import("zod").ZodOptional<import("zod").ZodString>>;
    config: import("zod").ZodOptional<import("zod").ZodString>;
    breakpoints: import("zod").ZodDefault<import("zod").ZodOptional<import("zod").ZodBoolean>>;
    custom: import("zod").ZodDefault<import("zod").ZodOptional<import("zod").ZodBoolean>>;
}, "strict", import("zod").ZodTypeAny, {
    schema?: string | string[] | undefined;
    dialect?: "mysql" | "pg" | "sqlite" | undefined;
    config?: string | undefined;
    custom: boolean;
    out: string;
    breakpoints: boolean;
}, {
    custom?: boolean | undefined;
    schema?: string | string[] | undefined;
    dialect?: "mysql" | "pg" | "sqlite" | undefined;
    out?: string | undefined;
    config?: string | undefined;
    breakpoints?: boolean | undefined;
}>;
export type CliConfigGenerate = TypeOf<typeof cliConfigGenerate>;
declare const cliParamsPush: import("zod").ZodObject<{
    config: import("zod").ZodOptional<import("zod").ZodString>;
    dialect: import("zod").ZodOptional<import("zod").ZodEnum<["pg", "mysql", "sqlite"]>>;
    schema: import("zod").ZodOptional<import("zod").ZodUnion<[import("zod").ZodString, import("zod").ZodArray<import("zod").ZodString, "many">]>>;
    tablesFilter: import("zod").ZodOptional<import("zod").ZodUnion<[import("zod").ZodString, import("zod").ZodArray<import("zod").ZodString, "many">]>>;
    driver: import("zod").ZodOptional<import("zod").ZodString>;
    connectionString: import("zod").ZodOptional<import("zod").ZodString>;
    host: import("zod").ZodOptional<import("zod").ZodString>;
    port: import("zod").ZodOptional<import("zod").ZodString>;
    user: import("zod").ZodOptional<import("zod").ZodString>;
    password: import("zod").ZodOptional<import("zod").ZodString>;
    database: import("zod").ZodOptional<import("zod").ZodString>;
    ssl: import("zod").ZodOptional<import("zod").ZodString>;
    uri: import("zod").ZodOptional<import("zod").ZodString>;
    authToken: import("zod").ZodOptional<import("zod").ZodString>;
    verbose: import("zod").ZodOptional<import("zod").ZodBoolean>;
    strict: import("zod").ZodOptional<import("zod").ZodBoolean>;
}, "strict", import("zod").ZodTypeAny, {
    strict?: boolean | undefined;
    schema?: string | string[] | undefined;
    dialect?: "mysql" | "pg" | "sqlite" | undefined;
    config?: string | undefined;
    driver?: string | undefined;
    tablesFilter?: string | string[] | undefined;
    verbose?: boolean | undefined;
    host?: string | undefined;
    port?: string | undefined;
    user?: string | undefined;
    password?: string | undefined;
    database?: string | undefined;
    connectionString?: string | undefined;
    authToken?: string | undefined;
    ssl?: string | undefined;
    uri?: string | undefined;
}, {
    strict?: boolean | undefined;
    schema?: string | string[] | undefined;
    dialect?: "mysql" | "pg" | "sqlite" | undefined;
    config?: string | undefined;
    driver?: string | undefined;
    tablesFilter?: string | string[] | undefined;
    verbose?: boolean | undefined;
    host?: string | undefined;
    port?: string | undefined;
    user?: string | undefined;
    password?: string | undefined;
    database?: string | undefined;
    connectionString?: string | undefined;
    authToken?: string | undefined;
    ssl?: string | undefined;
    uri?: string | undefined;
}>;
export type CliParamsPush = TypeOf<typeof cliParamsPush>;
export declare const checkSchema: import("zod").ZodObject<{
    out: import("zod").ZodOptional<import("zod").ZodString>;
    config: import("zod").ZodOptional<import("zod").ZodString>;
    driver: import("zod").ZodOptional<import("zod").ZodString>;
}, "strict", import("zod").ZodTypeAny, {
    out?: string | undefined;
    config?: string | undefined;
    driver?: string | undefined;
}, {
    out?: string | undefined;
    config?: string | undefined;
    driver?: string | undefined;
}>;
export type CheckConfig = TypeOf<typeof checkSchema>;
export {};
